Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp
Class Version

    java.lang.Object
      edu.internet2.middleware.shibboleth.idp.Version

    public final class Version

extends Object

Class for printing the version of this IdP.

Method Summary
`static int` | `getMajorVersion()` Gets the major version number of the IdP.
`static int` | `getMicroVersion()` Gets the micro version number of the IdP.
`static int` | `getMinorVersion()` Gets the minor version number of the IdP.
`static String` | `getName()` Gets the name of the IdP.
`static String` | `getVersion()` Gets the version of the IdP.
`static void` | `main(String[] args)` Main entry point to program.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(String[] args)

  Main entry point to program.

  Parameters:
    `args` - command line arguments

### getName

    public static String getName()

  Gets the name of the IdP.

  Returns:
    name of the IdP

### getVersion

    public static String getVersion()

  Gets the version of the IdP.

  Returns:
    version of the IdP

### getMajorVersion

    public static int getMajorVersion()

  Gets the major version number of the IdP.

  Returns:
    major version number of the IdP

### getMinorVersion

    public static int getMinorVersion()

  Gets the minor version number of the IdP.

  Returns:
    minor version number of the IdP

### getMicroVersion

    public static int getMicroVersion()

  Gets the micro version number of the IdP.

  Returns:
    micro version number of the IdP

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2011 Internet2. All Rights Reserved.